#-----------------------------------------------------------------------------
#
#   PyWeek 10 - Level setup
#
#-----------------------------------------------------------------------------

from texture import Texture
from sprite import Furniture
from oscillator import Oscillator

potplant1 = Texture("potplant1.png")
dining_table = Texture("dining_table.png")
bed_end = Texture("bed_end.png")
bedside_drawers = Texture("bedside_drawers.png")
# = Texture(".png")

player_start_position = (352, 32)
#player_start_position = (448, 512)

def furniture(name, pos, scale = 1.0):
	s.add_sprite(Furniture(name, scale), pos)

def add_oscillator(state):
	osc = Oscillator()
	state.add_sprite(osc, (152, 512))
	state.oscillator = osc

def add_furniture(state):
	global s
	s = state
	#state.add_sprite(Furniture(potplant1, 0.75), (410, 32))
	furniture(potplant1, (410, 32), 0.75)
	furniture(dining_table, (224, 192))
	furniture(dining_table, (320, 192))
	furniture(dining_table, (400, 192))
	furniture(bed_end, (64, 352))
	furniture(bedside_drawers, (120, 352))
	
	#furniture(oscillator, (152, 512))
	add_oscillator(s)
